ELParamTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.html
Class ELParamTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.ParamTag
                  org.apache.strutsel.taglib.html.ELParamTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

    public class ELParamTag

extends ParamTag

Adds a new request parameter to its parent `ELLinkTag`. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Since:
  Struts 1.3.6
Version:
  $Rev: 482911 $ $Date: 2006-12-05 23:44:33 -0600 (Tue, 05 Dec 2006) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.ParamTag
`messages, name, value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELParamTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getValueExpr()` Getter method for "value" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setValueExpr(String valueExpr)` Setter method for "value" tag attribute.

Methods inherited from class org.apache.struts.taglib.html.ParamTag
`doAfterBody, doEndTag, getName, getValue, setName, setValue`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ELParamTag

    public ELParamTag()

Method Detail

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getValueExpr

    public String getValueExpr()

  Getter method for "value" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setValueExpr

    public void setValueExpr(String valueExpr)

  Setter method for "value" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ParamTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `ParamTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.